Bug 46468 - jscal compiled from wrong driver version
Summary: jscal compiled from wrong driver version
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: joystick (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-28 22:21 UTC by Need Real Name
Modified: 2007-04-18 16:34 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-28 22:21:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-06-28 22:21:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.3-12smp i686; en-US; rv:0.9.1)
Gecko/20010608

Description of problem:
After upgrading my kernel to 2.4.3-12smp I got the following error message
when trying to run jscal

jscal /dev/js0
jscal: wrong version
JsCal was compiled for driver version: 2.0.0
Current running driver version: 2.1.0

How reproducible:
Always

Steps to Reproduce:
1. modprobe ns558
2. modprobe joydev
3. modprobe analog js="chf"
4. jscal /dev/js0
	

Actual Results:  couldn't calibrate the joystick, so it is useless

Additional info:

Comment 1 Preston Brown 2001-08-24 14:10:16 UTC
recompiled in 1.2.15-9 and later.


Comment 2 Need Real Name 2001-08-24 22:47:32 UTC
that's great.... where can I get an rpm with the fix?

Comment 3 Preston Brown 2001-08-27 14:04:14 UTC
ftp.redhat.com:/pub/redhat/linux/rawhide/



Note You need to log in before you can comment on or make changes to this bug.